Package com.trilead.ssh2.transport

# Class TransportManager

java.lang.Object
com.trilead.ssh2.transport.TransportManager

public class TransportManager extends Object
TransportManager.

## Constructor Summary

Constructors
Constructor
Description
`TransportManager(String host, int port)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changeRecvCipher(BlockCipher bc, MAC mac)`
`void`
`changeSendCipher(BlockCipher bc, MAC mac)`
`void`
`close(Throwable cause, boolean useDisconnectPacket)`
`void`
`forceKeyExchange(CryptoWishList cwl, DHGexParameters dhgex)`
`ConnectionInfo`
`getConnectionInfo(int kexNumber)`
`int`
`getPacketOverheadEstimate()`
`Throwable`
`getReasonClosedCause()`
`byte[]`
`getSessionIdentifier()`
`ClientServerHello`
`getVersionInfo()`
`void`
`initialize(CryptoWishList cwl, ServerHostKeyVerifier verifier, DHGexParameters dhgex, int connectTimeout, int readTimeout, SecureRandom rnd, ProxyData proxyData)`
`void`
`initialize(CryptoWishList cwl, ServerHostKeyVerifier verifier, DHGexParameters dhgex, int connectTimeout, SecureRandom rnd, ProxyData proxyData)`
`void`
`kexFinished()`
`void`
`receiveLoop()`
`void`
`registerMessageHandler(MessageHandler mh, int low, int high)`
`void`
`removeMessageHandler(MessageHandler mh, int low, int high)`
`void`
`sendAsynchronousMessage(byte[] msg)`
`void`
`sendKexMessage(byte[] msg)`
`void`
`sendMessage(byte[] msg)`
`void`
`setConnectionMonitors(Vector monitors)`
`void`
`setSoTimeout(int timeout)`
`void`
`setTcpNoDelay(boolean state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransportManager

public TransportManager(String host, int port) throws IOException

Throws:
  `IOException`

## Method Details

### getPacketOverheadEstimate

public int getPacketOverheadEstimate()

### setTcpNoDelay

public void setTcpNoDelay(boolean state) throws IOException

Throws:
  `IOException`

### setSoTimeout

public void setSoTimeout(int timeout) throws IOException

Throws:
  `IOException`

### getConnectionInfo

public ConnectionInfo getConnectionInfo(int kexNumber) throws IOException

Throws:
  `IOException`

### getVersionInfo

public ClientServerHello getVersionInfo()

### getReasonClosedCause

public Throwable getReasonClosedCause()

### getSessionIdentifier

public byte[] getSessionIdentifier()

### close

public void close(Throwable cause, boolean useDisconnectPacket)

### initialize

public void initialize(CryptoWishList cwl, ServerHostKeyVerifier verifier, DHGexParameters dhgex, int connectTimeout, SecureRandom rnd, ProxyData proxyData) throws IOException

Throws:
  `IOException`

### initialize

public void initialize(CryptoWishList cwl, ServerHostKeyVerifier verifier, DHGexParameters dhgex, int connectTimeout, int readTimeout, SecureRandom rnd, ProxyData proxyData) throws IOException

Throws:
  `IOException`

### registerMessageHandler

public void registerMessageHandler(MessageHandler mh, int low, int high)

### removeMessageHandler

public void removeMessageHandler(MessageHandler mh, int low, int high)

### sendKexMessage

public void sendKexMessage(byte[] msg) throws IOException

Throws:
  `IOException`

### kexFinished

public void kexFinished() throws IOException

Throws:
  `IOException`

### forceKeyExchange

public void forceKeyExchange(CryptoWishList cwl, DHGexParameters dhgex) throws IOException

Throws:
  `IOException`

### changeRecvCipher

public void changeRecvCipher(BlockCipher bc, MAC mac)

### changeSendCipher

public void changeSendCipher(BlockCipher bc, MAC mac)

### sendAsynchronousMessage

public void sendAsynchronousMessage(byte[] msg) throws IOException

Throws:
  `IOException`

### setConnectionMonitors

public void setConnectionMonitors(Vector monitors)

### sendMessage

public void sendMessage(byte[] msg) throws IOException

Throws:
  `IOException`

### receiveLoop

public void receiveLoop() throws IOException

Throws:
  `IOException`